Warning: call_user_func_array() expects parameter 1 to be a valid callback, class 'collapsArch' does not have a method 'enqueue_scripts' in /home/customer/www/allanhutchison.net/public_html/wp-includes/class-wp-hook.php on line 307

Thunderbird 3.1.15 Released

Mozilla Messaging has released Thunderbird 3.1.15 to all users on September 27th, 2011. This was a maintenance release and included several fixes to improve performance, stability and security, see the Security Advisory. For a more detailed list of bug fixes, see the complete list of changes in this version.

Thunderbird 3.1.x users can update via Help > Check for Updates or can download Thunderbird 7.0 here.

1 Comment on Thunderbird 3.1.15 Released

  1. Robert Rienstra | October 23, 2011 at 5:58 AM |

    I love Thunderbird as my E-Mail server.
    Version 3.1.15 is the one I use….. I have tried the newer version
    7.0.1.
    Problem: the newer version does accept McAfee’s “Anti-Spam” as it is not
    compatible with McAfee’s software.
    So I am sticking with the earlier versions.
    Thank you

Comments are closed.